EDIT - bug #7250

add null checks to TeamDefaultCacheStrategy
02/06/2018 03:44 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 50%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.14

Severity: normal Found in Version:

Description

team members are not being null-checked.

In Uls members can be null at a point in the application life cycle when the cache needs to be generated (e.g.: updating ui element
labels). Thses Situations are sometimes determined by the Ul framework and thus out of the control of the application developer, so
we must handle null values in the cache

Associated revisions

Revision 2ab12e51 - 01/17/2018 10:36 AM - Andreas Kohlbecker

null check in TeamDefaultCacheStrategy needed sometimes in Uls

Revision 02f58¢70 - 02/06/2018 03:46 PM - Andreas Kohlbecker
fix #7250 adding remaining null checks to TeamDefaultCacheStrategy

History

#1 - 02/06/2018 03:46 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|02{58c709c8e2ea7cd2bc2a8e0fd529a80be54c2.

#2 - 02/06/2018 03:48 PM - Andreas Kohlbecker

Andreas Milller, please review the code changes are correct. | was a bit unclear about the role of paramter i in concatString(Team team,
List<Person> teamMembers, int i)

#3 - 02/14/2018 03:26 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

looks ok
